## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%global commit  3db9fe895b2fa656bb40ddb7a62e27604a688171
%global date    20220218
%global shortcommit0 %(c=%{commit}; echo ${c:0:7})

Name:           ffmpegthumbnailer
Version:        2.2.3
Release:        0.6%{?shortcommit0:.%{date}git%{shortcommit0}}%{?dist}
Summary:        Lightweight video thumbnailer that can be used by file managers
License:        GPLv2+
URL:            https://github.com/dirkvdb/%{name}
Source0:        %{url}/archive/%{commit}/%{name}-%{commit}.tar.gz
Patch0:         add_audio_cover.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  ninja-build
BuildRequires:  ffmpeg-free-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description
This video thumbnailer can be used to create thumbnails for your video files.

%package libs
Summary:        Runtime library for apps that use ffmpegthumbnailer

%description libs
This video thumbnailer can be used to create thumbnails for your video files,
runtime library package.

%package devel
Summary:        Headers and libraries for building apps that use ffmpegthumbnailer
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
This video thumbnailer can be used to create thumbnails for your video files,
development package.


%prep
%autosetup -p1 -n %{name}-%{commit}
chmod -x README INSTALL COPYING AUTHORS


%build
%cmake -DENABLE_GIO=ON -DENABLE_THUMBNAILER=ON -GNinja
%cmake_build

 
%install
%cmake_install


%files
%doc README AUTHORS
%license COPYING
%{_bindir}/ffmpegthumbnailer
%{_mandir}/man1/ffmpegthumbnailer.1*
# gnome thumbnailer registration
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/ffmpegthumbnailer.thumbnailer

%files libs
%{_libdir}/libffmpegthumbnailer.so.4{,.*}

%files devel
%{_includedir}/libffmpegthumbnailer/
%{_libdir}/libffmpegthumbnailer.so
%{_libdir}/pkgconfig/libffmpegthumbnailer.pc


%changelog
* Thu Oct 12 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 2.2.3-7
- Uncommitted changes

* Wed Aug 02 2023 Sérgio M. Basto <sergio@serjux.com> - 2.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Mar 01 2023 Leigh Scott <leigh123linux@gmail.com> - 2.2.3-5
- Rebuild for new ffmpeg

* Sun Aug 07 2022 Sérgio M. Basto <sergio@serjux.com> - 2.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild and
  ffmpeg 5.1

* Wed Feb 09 2022 Leigh Scott <leigh123linux@gmail.com> - 2.2.3-3
- Fix for gcc-12

* Wed Feb 09 2022 Sérgio M. Basto <sergio@serjux.com> - 2.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 13 2021 Leigh Scott <leigh123linux@gmail.com> - 2.2.3-1
- Update to git snapshot

* Thu Nov 11 2021 Leigh Scott <leigh123linux@gmail.com> - 2.2.2-11
- Rebuilt for new ffmpeg snapshot

* Mon Aug 02 2021 Leigh Scott <leigh123linux@gmail.com> - 2.2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Feb 03 2021 Leigh Scott <leigh123linux@gmail.com> - 2.2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 31 2020 Leigh Scott <leigh123linux@gmail.com> - 2.2.2-8
- Rebuilt for new ffmpeg snapshot

* Mon Aug 17 2020 Leigh Scott <leigh123linux@gmail.com> - 2.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 23 2020 Leigh Scott <leigh123linux@gmail.com> - 2.2.2-6
- Switch to ninja

* Thu Jul 23 2020 Leigh Scott <leigh123linux@gmail.com> - 2.2.2-5
- Improve compatibility with new CMake macro

* Sat Feb 22 2020 leigh123linux <leigh123linux@googlemail.com> - 2.2.2-4
- Rebuild for ffmpeg-4.3 git

* Tue Feb 04 2020 leigh123linux <leigh123linux@googlemail.com> - 2.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 08 2020 leigh123linux <leigh123linux@googlemail.com> - 2.2.2-2
- Add audio covers to mime types

* Wed Jan 08 2020 leigh123linux <leigh123linux@googlemail.com> - 2.2.2-1
- Update ffmpegthumbnailer to 2.2.2

* Tue Aug 06 2019 Leigh Scott <leigh123linux@gmail.com> - 2.2.0-9
- Rebuild for new ffmpeg version

* Mon Mar 04 2019 Leigh Scott <leigh123linux@googlemail.com> - 2.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Dec 08 2018 sagitter <sagitter@fedoraproject.org> - 2.2.0-7
- Rebuild for ffmpeg-3.4.5 on el7

* Thu Jul 26 2018 leigh123linux <leigh123linux@googlemail.com> - 2.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 08 2018 leigh123linux <leigh123linux@googlemail.com> - 2.2.0-5
- Rebuilt for new ffmpeg snapshot

* Thu Mar 01 2018 leigh123linux <leigh123linux@googlemail.com> - 2.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 leigh123linux <leigh123linux@googlemail.com> - 2.2.0-3
- Rebuilt for ffmpeg-3.5 git

* Thu Aug 31 2017 Nicolas Chauvet <kwizart@gmail.com> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 11 2017 Sérgio M. Basto <sergio@serjux.com> - 2.2.0-1
- Update ffmpegthumbnailer to 2.2.0

* Sat Apr 29 2017 leigh123linux <leigh123linux@googlemail.com> - 2.1.2-3
- Rebuild for ffmpeg update

* Sun Mar 19 2017 Nicolas Chauvet <kwizart@gmail.com> - 2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Aug 24 2016 Sérgio M. Basto <sergio@serjux.com> - 2.1.2-1
- Update ffmpegthumbnailer to 2.1.2
- Clean up spec, add license tag.
- Fix changelog dates.

* Sat Jul 30 2016 Julian Sikorski <belegdol@fedoraproject.org> - 2.1.1-3
- Rebuilt for ffmpeg-3.1.1

* Sat Jun 25 2016 leigh123linux <leigh123linux@googlemail.com> - 2.1.1-2
- delete dead patches

* Sat Jun 25 2016 leigh123linux <leigh123linux@googlemail.com> - 2.1.1-1
- update to 2.1.1

* Sat Apr 11 2015 Magnus Tuominen <magnus.tuominen@gmail.com> - 2.0.9-1
- * Thu Apr 09 2015 Magnus Tuominen <magnus.tuominen@gmail.com> - 2.0.9-1 -
  2.0.9

* Sun Oct 19 2014 Sérgio M. Basto <sergio@serjux.com> - 2.0.8-11
- Rebuilt for FFmpeg 2.4.3

* Fri Sep 26 2014 Nicolas Chauvet <kwizart@gmail.com> - 2.0.8-10
- * Fri Sep 26 2014 Nicolas Chauvet <kwizart@gmail.com> - 2.0.8-10 -
  Rebuilt for FFmpeg 2.4.x

* Thu Aug 07 2014 Sérgio M. Basto <sergio@serjux.com> - 2.0.8-9
- Rebuilt for ffmpeg-2.3

* Sat Mar 29 2014 Sérgio M. Basto <sergio@serjux.com> - 2.0.8-8
- Rebuilt for ffmpeg-2.2

* Wed Nov 27 2013 Leigh Scott <leigh123linux@gmail.com> - 2.0.8-7
- * Wed Nov 27 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.8-7 -
  fix compile error

* Wed Oct 02 2013 Nicolas Chauvet <kwizart@gmail.com> - 2.0.8-6
- * Wed Oct 02 2013 Nicolas Chauvet <kwizart@gmail.com> - 2.0.8-6 - Rebuilt

* Thu Aug 15 2013 Nicolas Chauvet <kwizart@gmail.com> - 2.0.8-5
- * Thu Aug 15 2013 Nicolas Chauvet <kwizart@gmail.com> - 2.0.8-5 - Rebuilt
  for FFmpeg 2.0.x

* Sun May 26 2013 Nicolas Chauvet <kwizart@gmail.com> - 2.0.8-4
- * Sun May 26 2013 Nicolas Chauvet <kwizart@gmail.com> - 2.0.8-4 - Rebuilt
  for x264/FFmpeg

* Mon Mar 04 2013 Nicolas Chauvet <kwizart@gmail.com> - 2.0.8-3
- Rebuilt

* Sat Nov 24 2012 Nicolas Chauvet <kwizart@gmail.com> - 2.0.8-2
- * Sat Nov 24 2012 Nicolas Chauvet <kwizart@gmail.com> - 2.0.8-2 - Rebuilt
  for FFmpeg 1.0

* Wed Aug 29 2012 Magnus Tuominen <magnus.tuominen@gmail.com> - 2.0.8-1
- * Wed Aug 29 2012 Magnus Tuominen <magnus.tuominen@gmail.com> - 2.0.8-1 -
  2.0.8

* Tue Jun 26 2012 Nicolas Chauvet <kwizart@gmail.com> - 2.0.7-5
- * Tue Jun 26 2012 Nicolas Chauvet <kwizart@gmail.com> - 2.0.7-5 - Rebuilt
  for FFmpeg

* Fri Mar 02 2012 Nicolas Chauvet <kwizart@gmail.com> - 2.0.7-4
- * Fri Mar 02 2012 Nicolas Chauvet <kwizart@gmail.com> - 2.0.7-4 - Rebuilt
  for c++ ABI breakage

* Tue Feb 28 2012 Nicolas Chauvet <kwizart@gmail.com> - 2.0.7-3
- * Tue Feb 28 2012 Nicolas Chauvet <kwizart@gmail.com> - 2.0.7-3 - Rebuilt
  for x264/FFmpeg

* Wed Feb 08 2012 Nicolas Chauvet <kwizart@gmail.com> - 2.0.7-2
- * Wed Feb 08 2012 Nicolas Chauvet <kwizart@gmail.com> - 2.0.7-2 - Rebuilt
  for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 29 2011 Magnus Tuominen <magnus.tuominen@gmail.com> - 2.0.7-1
- * Thu Sep 29 2011 Magnus Tuominen <magnus.tuominen@gmail.com> - 2.0.7-1 -
  new version - patches merged upstream

* Mon Sep 26 2011 Nicolas Chauvet <kwizart@gmail.com> - 2.0.6-3
- Rebuilt for FFmpeg-0.8

* Sun Feb 13 2011 Magnus Tuominen <magnus.tuominen@gmail.com> - 2.0.6-2
- * Sun Feb 13 2011 Magnus Tuominen <magnus.tuominen@gmail.com> - 2.0.6-2 -
  patch NULL reference to make rawhide build

* Fri Feb 04 2011 Magnus Tuominen <magnus.tuominen@gmail.com> - 2.0.6-1
- * Fri Jan 04 2011 Magnus Tuominen <magnus.tuominen@gmail.com> - 2.0.6-1 -
  version bump - patch libdl link issue - add BR: automake and autoconf

* Sun Dec 05 2010 Magnus Tuominen <magnus.tuominen@gmail.com> - 2.0.5-1
- * Sun Dec 05 2010 Magnus Tuominen <magnus.tuominen@gmail.com> - 2.0.5-1 -
  version bump - enable gio-support

* Sat Aug 21 2010 Thorsten Leemhuis <fedora@leemhuis.info> - 2.0.4-2
- * Sat Aug 21 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> -
  2.0.4-2 - rebuilt

* Wed Aug 18 2010 Magnus Tuominen <magnus.tuominen@gmail.com> - 2.0.4-1
- * Wed Aug 18 2010 Magnus Tuominen <magnus.tuominen@gmail.com> 2.0.4-1 -
  version bump

* Sun May 16 2010 Magnus Tuominen <magnus.tuominen@gmail.com> - 2.0.2-1
- * Sun May 16 2010 Magnus Tuominen <magnus.tuominen@gmail.com> 2.0.2-1 -
  version bump

* Mon Apr 19 2010 Magnus Tuominen <magnus.tuominen@gmail.com> - 2.0.1-1
- version 2.0.1
